petsc-3.4.2 2013-07-02

# DMDAGetCoordinateName

Gets the name of a coodinate direction associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetCoordinateName(DM da,PetscInt nf,const char **name)

Not Collective

### Input Parameter

| da | - the distributed array
| nf | - number for the DMDA (0, 1, ... dim-1)

### Output Parameter

names -the name of the coordinate direction

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages